ContactsSave an AI history message

Save an AI history message

POST /contacts/{contact_id}/ai/save_messages

curl -X POST "https://app.bualpro.com/api/contacts/3.14/ai/save_messages" \
  -H "Content-Type: application/json" \
  -H "X-ACCESS-TOKEN: YOUR_API_KEY" \
  -d '{
  "messages": [
    {
      "text": "Hi there! How can I assist you today?",
      "type": "text",
      "role": "assistant"
    }
  ]
}'
{}
POST
/contacts/{contact_id}/ai/save_messages
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-ACCESS-TOKEN)
X-ACCESS-TOKENstring
Required

API key (sent in header)

Content-Typestring
Required

The media type of the request body

Options: application/json
Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-ACCESS-TOKENstring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

Body

application/json
messagesarray

Responses

Save a message to the contact message history (AI)

The source documents response descriptions but no response body schema. Do not infer that the response is empty.